<?php
//Recogera la informacion de los filtos de busqueda y realizara una consulta ajustandose a esos parametros
$ext = array("jpg", "png", "jpeg", "gif");
$con=mysql_connect("localhost","root","opsivir")
 or die("Error: ".mysql_error());
$name = 'prueba';
$db = mysql_select_db($name,$con)
 or die("Error: ".mysql_error());

$city = strtolower(mysql_escape_string($_GET["city"])); 
$user = mysql_escape_string($_GET["user"]);  
$price = mysql_escape_string($_GET["price"]); 

//Si el campo city no se ha rellenado
if(strcmp($city,'')==0){
	//Si el campo precio no se ha rellenado
	if(strcmp($price,"Any")==0){
		$sql = "SELECT *FROM pisos WHERE nickname != '$user'";
	}else{
		$priceInt = (int)$price;
		$sql = "SELECT *FROM pisos WHERE (preciomes <= '$priceInt') AND (nickname != '$user')";
	}	
}else{
	//Si el campo precio no se ha rellenado
	if(strcmp($price,"Any")==0){
		$sql = "SELECT *FROM pisos WHERE (ciudad = '$city') AND (nickname != '$user')";
	}else{
		$priceInt = (int)$price;
		$sql = "SELECT *FROM pisos WHERE (ciudad = '$city') AND (preciomes <= '$priceInt') AND (nickname != '$user')";
	}
}
$result = mysql_query($sql) or die("Error: ".mysql_error());

//Se recorreran los elemenos de la consulta para ser mostrados correctamente
while($row = mysql_fetch_array($result))
  {
  //se recoge los datos de cada piso de manera iterativa
  $files = array();
  $idPiso = $row['idPiso'];
  $direccion = $row['direccion'];
  $ciudad = $row['ciudad'];
  $cp = $row['codigopostal'];

  //Abrimos el directorio donde se encuentra la carpeta de las imagenes para seleccinar la principal de este piso
  if($handle = opendir("C:/xampp/htdocs/tfg/uploads/".$idPiso)) {
       while(false !== ($file = readdir($handle)))
           for($i=0;$i<sizeof($ext);$i++)
               if(strstr($file, ".".$ext[$i]))
                   $files[] = $file;
       closedir($handle);
  }
   //A cada iteracin se mostrara un div con la foto principal de cada piso, la informacion basica y un boton para ir a su ficha personal
  $path = "http://kl0d.no-ip.biz/tfg/uploads/".$idPiso."/".$files[0];
  echo "<div class=\"marcos\">
		  <table border=\"0\" style=\"width:100%\">
		  	<tr>
		  		<td><center><img src='$path' WIDTH=60% HEIGHT=20% ></center></td>
				<td>				 
				  	<table border=\"0\" style=\"width:100%\" class=\"letra\">
						<tr>
						  <td>Flat's id:</td>
						  <td>$idPiso</td> 
						</tr>
						<tr>
						  <td>Address:</td>
						  <td>$direccion</td> 
						</tr>
						<tr>
						  <td>City:</td>
						  <td>$ciudad</td> 
						</tr>
						<tr>
						  <td>Zip code:</td>
						  <td>$cp</td> 
						</tr>
						<tr>
						<td><input type=\"button\" class=\"botonVuelos\" name=\"$idPiso\" id=\"$idPiso\" value=\"Go in!\" onClick=\"location.href='fichaPiso.html?id=$idPiso'\"></td>		
						</tr>			
					</table>
				</td>
			</tr>
			</table>
		</div>
	<br></br>";
  }
mysql_close($con);
?>